(function (_, kotlin_kotlin) {
  'use strict';
  //region block: imports
  var Unit_instance = kotlin_kotlin.$_$.m5;
  var VOID = kotlin_kotlin.$_$.f;
  var protoOf = kotlin_kotlin.$_$.ed;
  var toInt = kotlin_kotlin.$_$.fh;
  var toBoolean = kotlin_kotlin.$_$.yg;
  var classMeta = kotlin_kotlin.$_$.qb;
  var setMetadataFor = kotlin_kotlin.$_$.fd;
  var interfaceMeta = kotlin_kotlin.$_$.dc;
  //endregion
  //region block: pre-declaration
  setMetadataFor(Settings, 'Settings', interfaceMeta);
  setMetadataFor(StorageSettings, 'StorageSettings', classMeta, VOID, [Settings], StorageSettings);
  //endregion
  function StorageSettings(delegate) {
    var tmp;
    if (delegate === VOID) {
      // Inline function 'com.russhwolf.settings.localStorage' call
      tmp = localStorage;
    } else {
      tmp = delegate;
    }
    delegate = tmp;
    this.dls_1 = delegate;
  }
  protoOf(StorageSettings).g2r = function (key) {
    return this.dls_1.removeItem(key);
  };
  protoOf(StorageSettings).els = function (key, defaultValue) {
    // Inline function 'com.russhwolf.settings.get' call
    var tmp0_safe_receiver = this.dls_1.getItem(key);
    var tmp1_elvis_lhs = tmp0_safe_receiver == null ? null : toInt(tmp0_safe_receiver);
    return tmp1_elvis_lhs == null ? defaultValue : tmp1_elvis_lhs;
  };
  protoOf(StorageSettings).fls = function (key, value) {
    // Inline function 'com.russhwolf.settings.set' call
    this.dls_1.setItem(key, value);
  };
  protoOf(StorageSettings).gls = function (key) {
    // Inline function 'com.russhwolf.settings.get' call
    return this.dls_1.getItem(key);
  };
  protoOf(StorageSettings).hls = function (key, value) {
    // Inline function 'com.russhwolf.settings.set' call
    var this_0 = this.dls_1;
    var value_0 = value.toString();
    this_0.setItem(key, value_0);
  };
  protoOf(StorageSettings).ils = function (key, defaultValue) {
    // Inline function 'com.russhwolf.settings.get' call
    var tmp0_safe_receiver = this.dls_1.getItem(key);
    var tmp1_elvis_lhs = tmp0_safe_receiver == null ? null : toBoolean(tmp0_safe_receiver);
    return tmp1_elvis_lhs == null ? defaultValue : tmp1_elvis_lhs;
  };
  function Settings() {
  }
  //region block: exports
  _.$_$ = _.$_$ || {};
  _.$_$.a = Settings;
  _.$_$.b = StorageSettings;
  //endregion
  return _;
}(module.exports, require('./kotlin-kotlin-stdlib.js')));

//# sourceMappingURL=MultiplatformSettings-multiplatform-settings.js.map
